POST/shorts.v1alpha1.NewsService/GetEditorialTake

GetEditorialTake

Get a single published editorial take by slug.

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object
slugstring

(proto string)

Responses

200Success
application/json
object
takeobject

(proto shorts.v1alpha1.EditorialTake)

bodyFormatstring

'markdown' | 'mdx' (proto string)

bodyMdstring

Markdown body (proto string)

bylinestring

e.g. "The Shorted Desk — Mining & Resources" (proto string)

createdAtstring <date-time>

(proto google.protobuf.Timestamp)

headlinestring

(proto string)

heroCaptionstring

(proto string)

heroCreditstring

e.g. "AI-generated illustration" (proto string)

heroImageUrlstring

(proto string)

idstring

(proto string)

modelstring

'gemini-2.0-flash', etc. (proto string)

ogImageUrlstring

(proto string)

publishedAtstring <date-time>

(proto google.protobuf.Timestamp)

sentimentstring

(proto string)

slugstring

(proto string)

sourceArticleIdstring

UUID of source news_article, or empty (proto string)

sourceNamestring

'Stockhead', 'Motley Fool', etc. (proto string)

sourceUrlstring

External publisher URL (attribution) (proto string)

standfirststring

one-sentence dek under the headline (proto string)

stockCodestring

(proto string)

tweetPublishedAtstring <date-time>

(proto google.protobuf.Timestamp)

wordCountinteger <int32>

(proto int32)

defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.NewsService/GetEditorialTake" \
  -H "Content-Type: application/json" \
  -d '{
  "slug": "string"
}'